﻿$cred = Get-Credential
# In weniger als 365 Tage ablaufen
$c = 0

$servers = Get-ADComputer -Filter "OperatingSystem -like 'Windows Server*'"

$servers | foreach{
 $p = ($c++/$servers.count) * 100
 Write-Progress -Activity "Prüfe $_" -Status "$p % fertig" -PercentComplete $p;

 if(Test-Connection -ComputerName $_.DNSHostName -Count 2 -Quiet){

    Invoke-Command -ComputerName $_.DNSHostName -Credential $cred `
    {dir Cert:\LocalMachine\my | ? NotAfter -lt (Get-Date).AddDays(365)}
    }
}